%global _empty_manifest_terminate_build 0
Name:		python-connexion
Version:	2.14.2
Release:	1
Summary:	Connexion - API first applications with OpenAPI/Swagger and Flask
License:	Apache-2.0
URL:		https://github.com/spec-first/connexion
Source0:	https://files.pythonhosted.org/packages/59/bd/b8028e687c3e8319b22a0ef0b598cf18ea343811d3831ad318676674372e/connexion-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:  python3-devel python3-setuptools python3-clickclick python3-jsonschema
BuildRequires:  python3-requests python3-inflection python3-werkzeug python3-flask
BuildRequires:  python3-PyYAML python3-swagger-ui-bundle python3-flake8


%description
Connexion is a framework that automagically handles HTTP requests based on `OpenAPI Specification`_
(formerly known as Swagger Spec) of your API described in `YAML format`_. Connexion allows you to
write an OpenAPI specification, then maps the endpoints to your Python functions; this makes it
unique, as many tools generate the specification based on your Python code. You can describe your
REST API in as much detail as you want; then Connexion guarantees that it will work as you
specified.

%package -n python3-connexion
Summary:	Connexion - API first applications with OpenAPI/Swagger and Flask
Provides:	python-connexion
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-connexion
Connexion - API first applications with OpenAPI/Swagger and Flask

%package help
Summary:	Development documents and examples for connexion
Provides:	python3-connexion-doc
%description help
Development documents and examples for connexion

%prep
%autosetup -n connexion-%{version} -p1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-connexion -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Jun 30 2023 sunhui <sunhui@kylinos.cn> - 2.14.2-1
- Upgrade to 2.14.2

* Tue Sep 20 2022 jiangxinyu <jiangxinyu@kylinos.cn> - 2.14.1-1
- Upgrade to 2.14.1

* Fri Jul 8 2022 algorithmofdish <hexiujun1@huawei.com> - 2.10.0-1
- Upgrade to 2.10.0

* Thu Feb 17 2022 liuzhikang <liuzhikang3@huawei.com> - 2.9.0-2
- Update the version of PyYAML from 6 to 7 in install_requires.

* Mon Aug 30 2021 Python_Bot <Python_Bot@openeuler.org> - 2.9.0-1
- Package Spec generated
